Loading...
Searching...
No Matches
rheolef

## Detailed Description

see the rheolef page for the full documentation

## Public Types

enum

yytokentype {
YYEMPTY = -2 ,
YYEOF = 0 ,
YYerror = 256 ,
YYUNDEF = 257 ,
IDENTIFIER = 258 ,
INTEGER = 259 ,
FAMILY_NO_INDEX = 260 ,
VALUED = 261 ,
TRACE = 262 ,
COORDINATE = 263 ,
D = 264 ,
YYEMPTY = -2 ,
YYEOF = 0 ,
YYerror = 256 ,
YYUNDEF = 257 ,
IDENTIFIER = 258 ,
GEO_NAME = 259 ,
INTEGER = 259 ,
FAMILY_NO_INDEX = 260 ,
VALUED = 261 ,
COORDINATE = 263 ,
D = 264 ,
YYEMPTY = -2 ,
YYEOF = 0 ,
YYerror = 256 ,
YYUNDEF = 257 ,
IDENTIFIER = 258 ,
VALUED = 261
}

enum

yysymbol_kind_t {
YYSYMBOL_YYEMPTY = -2 ,
YYSYMBOL_YYEOF = 0 ,
YYSYMBOL_YYerror = 1 ,
YYSYMBOL_YYUNDEF = 2 ,
YYSYMBOL_IDENTIFIER = 3 ,
YYSYMBOL_INTEGER = 4 ,
YYSYMBOL_FAMILY_NO_INDEX = 5 ,
YYSYMBOL_VALUED = 6 ,
YYSYMBOL_TRACE = 7 ,
YYSYMBOL_COORDINATE = 8 ,
YYSYMBOL_D = 9 ,
YYSYMBOL_10_ = 10 ,
YYSYMBOL_11_ = 11 ,
YYSYMBOL_12_ = 12 ,
YYSYMBOL_13_ = 13 ,
YYSYMBOL_14_ = 14 ,
YYSYMBOL_15_ = 15 ,
YYSYMBOL_16_ = 16 ,
YYSYMBOL_YYACCEPT = 17 ,
YYSYMBOL_all = 18 ,
YYSYMBOL_basis = 19 ,
YYSYMBOL_scalar_name = 20 ,
YYSYMBOL_opt_d = 21 ,
YYSYMBOL_family_name = 22 ,
YYSYMBOL_index = 23 ,
YYSYMBOL_opt_list = 24 ,
YYSYMBOL_non_empty_opt_list = 25 ,
YYSYMBOL_opt_valued_list = 26 ,
YYSYMBOL_non_empty_opt_valued_list = 27 ,
YYSYMBOL_opt_valued = 28 ,
YYSYMBOL_YYEMPTY = -2 ,
YYSYMBOL_YYEOF = 0 ,
YYSYMBOL_YYerror = 1 ,
YYSYMBOL_YYUNDEF = 2 ,
YYSYMBOL_IDENTIFIER = 3 ,
YYSYMBOL_GEO_NAME = 4 ,
YYSYMBOL_INTEGER = 4 ,
YYSYMBOL_FAMILY_NO_INDEX = 5 ,
YYSYMBOL_VALUED = 6 ,
YYSYMBOL_COORDINATE = 8 ,
YYSYMBOL_D = 9 ,
YYSYMBOL_10_ = 10 ,
YYSYMBOL_11_ = 11 ,
YYSYMBOL_12_ = 12 ,
YYSYMBOL_13_ = 13 ,
YYSYMBOL_14_ = 14 ,
YYSYMBOL_15_ = 15 ,
YYSYMBOL_16_ = 16 ,
YYSYMBOL_17_ = 17 ,
YYSYMBOL_18_ = 18 ,
YYSYMBOL_YYACCEPT = 17 ,
YYSYMBOL_all = 18 ,
YYSYMBOL_top_expr = 21 ,
YYSYMBOL_factor = 22 ,
YYSYMBOL_expr_list = 23 ,
YYSYMBOL_expr = 24 ,
YYSYMBOL_basis = 19 ,
YYSYMBOL_scalar_name = 20 ,
YYSYMBOL_opt_d = 21 ,
YYSYMBOL_family_name = 22 ,
YYSYMBOL_index = 23 ,
YYSYMBOL_opt_list = 24 ,
YYSYMBOL_non_empty_opt_list = 25 ,
YYSYMBOL_opt_valued_list = 26 ,
YYSYMBOL_non_empty_opt_valued_list = 27 ,
YYSYMBOL_opt_valued = 28 ,
YYSYMBOL_YYEMPTY = -2 ,
YYSYMBOL_YYEOF = 0 ,
YYSYMBOL_YYerror = 1 ,
YYSYMBOL_YYUNDEF = 2 ,
YYSYMBOL_IDENTIFIER = 3 ,
YYSYMBOL_VALUED = 6 ,
YYSYMBOL_5_ = 5 ,
YYSYMBOL_6_ = 6 ,
YYSYMBOL_7_ = 7 ,
YYSYMBOL_YYACCEPT = 17 ,
YYSYMBOL_all = 18 ,
YYSYMBOL_top_expr = 21 ,
YYSYMBOL_factor = 22 ,
YYSYMBOL_basis_geo = 12 ,
YYSYMBOL_expr_list = 23 ,
YYSYMBOL_expr = 24
}

enum | { YYENOMEM = -2 }

enum

yytokentype {
YYEMPTY = -2 ,
YYEOF = 0 ,
YYerror = 256 ,
YYUNDEF = 257 ,
IDENTIFIER = 258 ,
INTEGER = 259 ,
FAMILY_NO_INDEX = 260 ,
VALUED = 261 ,
TRACE = 262 ,
COORDINATE = 263 ,
D = 264 ,
YYEMPTY = -2 ,
YYEOF = 0 ,
YYerror = 256 ,
YYUNDEF = 257 ,
IDENTIFIER = 258 ,
GEO_NAME = 259 ,
INTEGER = 259 ,
FAMILY_NO_INDEX = 260 ,
VALUED = 261 ,
COORDINATE = 263 ,
D = 264 ,
YYEMPTY = -2 ,
YYEOF = 0 ,
YYerror = 256 ,
YYUNDEF = 257 ,
IDENTIFIER = 258 ,
VALUED = 261
}

enum

yysymbol_kind_t {
YYSYMBOL_YYEMPTY = -2 ,
YYSYMBOL_YYEOF = 0 ,
YYSYMBOL_YYerror = 1 ,
YYSYMBOL_YYUNDEF = 2 ,
YYSYMBOL_IDENTIFIER = 3 ,
YYSYMBOL_INTEGER = 4 ,
YYSYMBOL_FAMILY_NO_INDEX = 5 ,
YYSYMBOL_VALUED = 6 ,
YYSYMBOL_TRACE = 7 ,
YYSYMBOL_COORDINATE = 8 ,
YYSYMBOL_D = 9 ,
YYSYMBOL_10_ = 10 ,
YYSYMBOL_11_ = 11 ,
YYSYMBOL_12_ = 12 ,
YYSYMBOL_13_ = 13 ,
YYSYMBOL_14_ = 14 ,
YYSYMBOL_15_ = 15 ,
YYSYMBOL_16_ = 16 ,
YYSYMBOL_YYACCEPT = 17 ,
YYSYMBOL_all = 18 ,
YYSYMBOL_basis = 19 ,
YYSYMBOL_scalar_name = 20 ,
YYSYMBOL_opt_d = 21 ,
YYSYMBOL_family_name = 22 ,
YYSYMBOL_index = 23 ,
YYSYMBOL_opt_list = 24 ,
YYSYMBOL_non_empty_opt_list = 25 ,
YYSYMBOL_opt_valued_list = 26 ,
YYSYMBOL_non_empty_opt_valued_list = 27 ,
YYSYMBOL_opt_valued = 28 ,
YYSYMBOL_YYEMPTY = -2 ,
YYSYMBOL_YYEOF = 0 ,
YYSYMBOL_YYerror = 1 ,
YYSYMBOL_YYUNDEF = 2 ,
YYSYMBOL_IDENTIFIER = 3 ,
YYSYMBOL_GEO_NAME = 4 ,
YYSYMBOL_INTEGER = 4 ,
YYSYMBOL_FAMILY_NO_INDEX = 5 ,
YYSYMBOL_VALUED = 6 ,
YYSYMBOL_COORDINATE = 8 ,
YYSYMBOL_D = 9 ,
YYSYMBOL_10_ = 10 ,
YYSYMBOL_11_ = 11 ,
YYSYMBOL_12_ = 12 ,
YYSYMBOL_13_ = 13 ,
YYSYMBOL_14_ = 14 ,
YYSYMBOL_15_ = 15 ,
YYSYMBOL_16_ = 16 ,
YYSYMBOL_17_ = 17 ,
YYSYMBOL_18_ = 18 ,
YYSYMBOL_YYACCEPT = 17 ,
YYSYMBOL_all = 18 ,
YYSYMBOL_top_expr = 21 ,
YYSYMBOL_factor = 22 ,
YYSYMBOL_expr_list = 23 ,
YYSYMBOL_expr = 24 ,
YYSYMBOL_basis = 19 ,
YYSYMBOL_scalar_name = 20 ,
YYSYMBOL_opt_d = 21 ,
YYSYMBOL_family_name = 22 ,
YYSYMBOL_index = 23 ,
YYSYMBOL_opt_list = 24 ,
YYSYMBOL_non_empty_opt_list = 25 ,
YYSYMBOL_opt_valued_list = 26 ,
YYSYMBOL_non_empty_opt_valued_list = 27 ,
YYSYMBOL_opt_valued = 28 ,
YYSYMBOL_YYEMPTY = -2 ,
YYSYMBOL_YYEOF = 0 ,
YYSYMBOL_YYerror = 1 ,
YYSYMBOL_YYUNDEF = 2 ,
YYSYMBOL_IDENTIFIER = 3 ,
YYSYMBOL_VALUED = 6 ,
YYSYMBOL_5_ = 5 ,
YYSYMBOL_6_ = 6 ,
YYSYMBOL_7_ = 7 ,
YYSYMBOL_YYACCEPT = 17 ,
YYSYMBOL_all = 18 ,
YYSYMBOL_top_expr = 21 ,
YYSYMBOL_factor = 22 ,
YYSYMBOL_basis_geo = 12 ,
YYSYMBOL_expr_list = 23 ,
YYSYMBOL_expr = 24
}

enum | { YYENOMEM = -2 }

enum

yytokentype {
YYEMPTY = -2 ,
YYEOF = 0 ,
YYerror = 256 ,
YYUNDEF = 257 ,
IDENTIFIER = 258 ,
INTEGER = 259 ,
FAMILY_NO_INDEX = 260 ,
VALUED = 261 ,
TRACE = 262 ,
COORDINATE = 263 ,
D = 264 ,
YYEMPTY = -2 ,
YYEOF = 0 ,
YYerror = 256 ,
YYUNDEF = 257 ,
IDENTIFIER = 258 ,
GEO_NAME = 259 ,
INTEGER = 259 ,
FAMILY_NO_INDEX = 260 ,
VALUED = 261 ,
COORDINATE = 263 ,
D = 264 ,
YYEMPTY = -2 ,
YYEOF = 0 ,
YYerror = 256 ,
YYUNDEF = 257 ,
IDENTIFIER = 258 ,
VALUED = 261
}

enum

yysymbol_kind_t {
YYSYMBOL_YYEMPTY = -2 ,
YYSYMBOL_YYEOF = 0 ,
YYSYMBOL_YYerror = 1 ,
YYSYMBOL_YYUNDEF = 2 ,
YYSYMBOL_IDENTIFIER = 3 ,
YYSYMBOL_INTEGER = 4 ,
YYSYMBOL_FAMILY_NO_INDEX = 5 ,
YYSYMBOL_VALUED = 6 ,
YYSYMBOL_TRACE = 7 ,
YYSYMBOL_COORDINATE = 8 ,
YYSYMBOL_D = 9 ,
YYSYMBOL_10_ = 10 ,
YYSYMBOL_11_ = 11 ,
YYSYMBOL_12_ = 12 ,
YYSYMBOL_13_ = 13 ,
YYSYMBOL_14_ = 14 ,
YYSYMBOL_15_ = 15 ,
YYSYMBOL_16_ = 16 ,
YYSYMBOL_YYACCEPT = 17 ,
YYSYMBOL_all = 18 ,
YYSYMBOL_basis = 19 ,
YYSYMBOL_scalar_name = 20 ,
YYSYMBOL_opt_d = 21 ,
YYSYMBOL_family_name = 22 ,
YYSYMBOL_index = 23 ,
YYSYMBOL_opt_list = 24 ,
YYSYMBOL_non_empty_opt_list = 25 ,
YYSYMBOL_opt_valued_list = 26 ,
YYSYMBOL_non_empty_opt_valued_list = 27 ,
YYSYMBOL_opt_valued = 28 ,
YYSYMBOL_YYEMPTY = -2 ,
YYSYMBOL_YYEOF = 0 ,
YYSYMBOL_YYerror = 1 ,
YYSYMBOL_YYUNDEF = 2 ,
YYSYMBOL_IDENTIFIER = 3 ,
YYSYMBOL_GEO_NAME = 4 ,
YYSYMBOL_INTEGER = 4 ,
YYSYMBOL_FAMILY_NO_INDEX = 5 ,
YYSYMBOL_VALUED = 6 ,
YYSYMBOL_COORDINATE = 8 ,
YYSYMBOL_D = 9 ,
YYSYMBOL_10_ = 10 ,
YYSYMBOL_11_ = 11 ,
YYSYMBOL_12_ = 12 ,
YYSYMBOL_13_ = 13 ,
YYSYMBOL_14_ = 14 ,
YYSYMBOL_15_ = 15 ,
YYSYMBOL_16_ = 16 ,
YYSYMBOL_17_ = 17 ,
YYSYMBOL_18_ = 18 ,
YYSYMBOL_YYACCEPT = 17 ,
YYSYMBOL_all = 18 ,
YYSYMBOL_top_expr = 21 ,
YYSYMBOL_factor = 22 ,
YYSYMBOL_expr_list = 23 ,
YYSYMBOL_expr = 24 ,
YYSYMBOL_basis = 19 ,
YYSYMBOL_scalar_name = 20 ,
YYSYMBOL_opt_d = 21 ,
YYSYMBOL_family_name = 22 ,
YYSYMBOL_index = 23 ,
YYSYMBOL_opt_list = 24 ,
YYSYMBOL_non_empty_opt_list = 25 ,
YYSYMBOL_opt_valued_list = 26 ,
YYSYMBOL_non_empty_opt_valued_list = 27 ,
YYSYMBOL_opt_valued = 28 ,
YYSYMBOL_YYEMPTY = -2 ,
YYSYMBOL_YYEOF = 0 ,
YYSYMBOL_YYerror = 1 ,
YYSYMBOL_YYUNDEF = 2 ,
YYSYMBOL_IDENTIFIER = 3 ,
YYSYMBOL_VALUED = 6 ,
YYSYMBOL_5_ = 5 ,
YYSYMBOL_6_ = 6 ,
YYSYMBOL_7_ = 7 ,
YYSYMBOL_YYACCEPT = 17 ,
YYSYMBOL_all = 18 ,
YYSYMBOL_top_expr = 21 ,
YYSYMBOL_factor = 22 ,
YYSYMBOL_basis_geo = 12 ,
YYSYMBOL_expr_list = 23 ,
YYSYMBOL_expr = 24
}

enum | { YYENOMEM = -2 }
typedef double | Float
| see the Float page for the full documentation
template<class T>
using | heap_allocator = std::allocator<T>
typedef solver_basic< Float > | solver
typedef solver_abtb_basic< Float, rheo_default_memory_model > | solver_abtb
using | solver_option_type = solver_option
using | quadrature_option = integrate_option
using | quadrature_option_type = integrate_option
using | integrate_option_type = integrate_option
typedef point_basic< Float > | point
typedef tensor_basic< Float > | tensor
typedef tensor3_basic< Float > | tensor3
typedef tensor4_basic< Float > | tensor4
typedef ad3_basic< Float > | ad3
typedef basis_basic< Float > | basis
typedef size_t | size_type
typedef enum yytokentype | yytoken_kind_t
typedef union YYSTYPE | YYSTYPE
typedef enum yysymbol_kind_t | yysymbol_kind_t
typedef signed char | yytype_int8
typedef short | yytype_int16
typedef unsigned char | yytype_uint8
typedef unsigned short | yytype_uint16
typedef yytype_int8 | yy_state_t
typedef int | yy_state_fast_t
typedef signed char | flex_int8_t
typedef short int | flex_int16_t
typedef int | flex_int32_t
typedef unsigned char | flex_uint8_t
typedef unsigned short int | flex_uint16_t
typedef unsigned int | flex_uint32_t
typedef struct yy_buffer_state * | YY_BUFFER_STATE
typedef size_t | yy_size_t
typedef flex_uint8_t | YY_CHAR
typedef basis_raw_basic< Float > | basis_raw
using | adapt_option_type = adapt_option
typedef band_basic< Float > | band
typedef branch_basic< Float > | branch
typedef characteristic_basic< Float > | characteristic
using | continuation_option_type = continuation_option
typedef domain_indirect_basic< rheo_default_memory_model > | domain_indirect
typedef field_basic< Float > | field
| see the field page for the full documentation
typedef field_basic< Float, sequential > | field_sequential
using | result_type = typename details::generic_binary_traits<BinaryFunction>::template result_hint<typename Expr1::result_type,typename Expr2::result_type>::type
using | value_type = result_type
using | scalar_type = typename scalar_traits<value_type>::type
using | float_type = typename float_traits<value_type>::type
using | memory_type = typename Expr1::memory_type
using | is_affine_homogeneous
typedef form_basic< Float, rheo_default_memory_model > | form
typedef geo_basic< Float, rheo_default_memory_model > | geo
typedef geo geo | domain
typedef int | my_idxtype
typedef my_idxtype | idxtype
typedef struct KeyValueType | KeyValueType
typedef geo_element_auto< heap_allocator< geo_element::size_type > > | element_type
using | level_set_option_type = level_set_option
typedef limiter_option | limiter_option_type
typedef problem_basic< Float > | problem
typedef problem_mixed_basic< Float > | problem_mixed
| see the problem_mixed page for the full documentation
typedef space_basic< Float > | space
typedef size_t | size_type
typedef enum yytokentype | yytoken_kind_t
typedef union YYSTYPE | YYSTYPE
typedef enum yysymbol_kind_t | yysymbol_kind_t
typedef signed char | yytype_int8
typedef short | yytype_int16
typedef unsigned char | yytype_uint8
typedef unsigned short | yytype_uint16
typedef yytype_int8 | yy_state_t
typedef int | yy_state_fast_t
typedef signed char | flex_int8_t
typedef short int | flex_int16_t
typedef int | flex_int32_t
typedef unsigned char | flex_uint8_t
typedef unsigned short int | flex_uint16_t
typedef unsigned int | flex_uint32_t
typedef struct yy_buffer_state * | YY_BUFFER_STATE
typedef size_t | yy_size_t
typedef flex_uint8_t | YY_CHAR
typedef std::list< tree_type > | list_type
typedef int(* | parse_type) (void)
typedef size_t | size_type
typedef enum yytokentype | yytoken_kind_t
typedef union YYSTYPE | YYSTYPE
typedef enum yysymbol_kind_t | yysymbol_kind_t
typedef signed char | yytype_int8
typedef short | yytype_int16
typedef unsigned char | yytype_uint8
typedef unsigned short | yytype_uint16
typedef yytype_int8 | yy_state_t
typedef int | yy_state_fast_t
typedef signed char | flex_int8_t
typedef short int | flex_int16_t
typedef int | flex_int32_t
typedef unsigned char | flex_uint8_t
typedef unsigned short int | flex_uint16_t
typedef unsigned int | flex_uint32_t
typedef struct yy_buffer_state * | YY_BUFFER_STATE
typedef size_t | yy_size_t
typedef flex_uint8_t | YY_CHAR
typedef test_basic< Float, rheo_default_memory_model, details::vf_tag_01 > | test
typedef test_basic< Float, rheo_default_memory_model, details::vf_tag_10 > | trial
using | point = point_basic<double>
using | point = point_basic<double>
typedef int | orientation_type
typedef int | shift_type

## Public Attributes

template<>
list< iorheo * > * | iorheobase_memory_handler< iorheo >::pointer_list = 0
template<class A>
persistent_table< A >::loaded_map_type | persistent_table< A >::_loaded_map
template<class A>
bool | persistent_table< A >::_verbose = false
| distributed
idiststream | din (cin)
| see the diststream page for the full documentation
odiststream | dout (cout)
| see the diststream page for the full documentation
odiststream | dlog (clog)
| see the diststream page for the full documentation
odiststream | derr (cerr)
| see the diststream page for the full documentation
rheolef::std::enable_if< details::is_vec_expr_v2_arg< Expr1 >::value &&details::is_vec_expr_v2_arg< Expr2 >::value, promote< Expr1::float_type, Expr2::float_type >::type > | Expr1
| dot(x,y): see the expression page for the full documentation
rheolef::std::enable_if< details::is_vec_expr_v2_arg< Expr1 >::value &&details::is_vec_expr_v2_arg< Expr2 >::value, promote< Expr1::float_type, Expr2::float_type >::type > | value
const reference_element::size_type | geo_element_T_fac2edg_idx [4][3]
const reference_element::size_type | geo_element_P_fac2edg_idx [5][4]
const reference_element::size_type | geo_element_H_fac2edg_idx [6][4]
const int | geo_element_T_fac2edg_orient [4][3]
const int | geo_element_P_fac2edg_orient [5][4]
const int | geo_element_H_fac2edg_orient [6][4]
constexpr size_t | reference_element__p = 0
constexpr size_t | reference_element__e = 1
constexpr size_t | reference_element__t = 2
constexpr size_t | reference_element__q = 3
constexpr size_t | reference_element__T = 4
constexpr size_t | reference_element__P = 5
constexpr size_t | reference_element__H = 6
constexpr size_t | reference_element__max_variant = 7
const unsigned int | tiny_size_max = 32
template<class T>
const Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > | basis_fem_empty< T >::_dummy_hat_node
YYSTYPE | basis_lval
int | yychar
YYSTYPE | yylval
int | yynerrs
int | yyleng
| YY_DECL
char * | yy_cp
char * | yy_bp
int | yy_act
| point_basic< T >
tensor_basic< T > | tensor3_basic< T >
rheolef::std::enable_if< details::is_field_expr_affine_homogeneous< Expr1 >::value &&details::is_field_expr_affine_homogeneous< Expr2 >::value, promote< Expr1::float_type, Expr2::float_type >::type > | Expr1
rheolef::std::enable_if< details::is_field_expr_affine_homogeneous< Expr1 >::value &&details::is_field_expr_affine_homogeneous< Expr2 >::value, promote< Expr1::float_type, Expr2::float_type >::type > | value
rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr >::value, details::field_expr_v2_nonlinear_node_unary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr >::type > > | BinaryFunction
rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr >::value, details::field_expr_v2_nonlinear_node_unary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr >::type > > | Expr1
rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr >::value, details::field_expr_v2_nonlinear_node_unary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr >::type > > | size_type = geo_element::size_type
template<class T, class M>
geo_base_rep< T, M >::loaded_map_t | geo_base_rep< T, M >::_loaded_map
template<>
list< iofem * > * | iorheobase_memory_handler< iofem >::pointer_list = 0
rheolef::space_base_rep< T, M > | t = std::pair<size_t,size_t>
YYSTYPE | space_constitution_lval
YYSTYPE | space_constitution_old_lval
const char | _reference_element_name [reference_element__max_variant]
gmsh_element_t | gmsh_table []
const size_t | gmshtype_max = sizeof(gmsh_table)/sizeof(gmsh_element_t)

## Static Public Attributes

static iorheo::force_initialization | dummy
static const char * | rheo_path_name = "RHEOPATH"
static const char * | default_rheo_path = "."
static char * | rheo_path = 0
static const bool | dont_gzip = false
static const char * | static_family_name [quadrature_option::max_family+1]
static const Float | hat_K_measure [reference_element::max_variant]
static size_t | _reference_element_dimension_by_variant [reference_element__max_variant] = {0, 1, 2, 2, 3, 3, 3}
static size_t | _reference_element_n_edge_by_variant [reference_element__max_variant] = {0, 1, 3, 4, 6, 9, 12}
static size_t | _reference_element_n_face_by_variant [reference_element__max_variant] = {0, 0, 1, 1, 4, 5, 6}
static const size_t | _first_variant_by_dimension [5]
static family_index_option_type | _current_fio
static size_type | basis_line_no = 1
static size_type | basis_n_error = 0
static std::string | basis_input_string
static std::vector< std::string > | symbol_table
static const yytype_int8 | yytranslate []
static const yytype_int8 | yypact []
static const yytype_int8 | yydefact []
static const yytype_int8 | yypgoto []
static const yytype_int8 | yydefgoto []
static const yytype_int8 | yytable []
static const yytype_int8 | yycheck []
static const yytype_int8 | yystos []
static const yytype_int8 | yyr1 []
static const yytype_int8 | yyr2 []
static const flex_int16_t | yy_accept [84]
static const YY_CHAR | yy_ec [256]
static const YY_CHAR | yy_meta [29]
static const flex_int16_t | yy_base [85]
static const flex_int16_t | yy_def [85]
static const flex_int16_t | yy_nxt [130]
static const flex_int16_t | yy_chk [130]
static const char * | static_node_name [basis_option::max_node+1]
static const char * | static_raw_polynomial_name [basis_option::max_raw_polynomial+1]
static Float | band_epsilon = 100*std::numeric_limits<Float>::epsilon()
static const space_constant::valued_type | valued_hint = space_constant::valued_tag_traits<result_type>::value
static const char * | label_variant []
static Float | level_set_epsilon = 100*std::numeric_limits<Float>::epsilon()
static size_type | space_constitution_line_no = 1
static size_type | space_constitution_n_error = 0
static tree_type * | result_ptr
static size_type | space_constitution_old_line_no = 1
static size_type | space_constitution_old_n_error = 0
static std::set< size_t > | empty_set
static vector< size_t > | t_msh_inod2loc_inod
static vector< size_t > | q_msh_inod2loc_inod
static vector< size_t > | T_msh_inod2loc_inod

## Protected Attributes

BinaryFunction | _f
Expr1 | _expr1
Expr2 | _expr2

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr1 >::value &&! details::is_field_expr_v2_constant< Expr1 >::value &&details::is_field_expr_v2_nonlinear_arg< Expr2 >::value &&! details::is_field_expr_v2_constant< Expr2 >::value, details::field_expr_v2_nonlinear_node_binary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr1 >::type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr2 >::type > >

Function

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr1 >::value &&! details::is_field_expr_v2_constant< Expr1 >::value &&details::is_field_expr_v2_nonlinear_arg< Expr2 >::value &&! details::is_field_expr_v2_constant< Expr2 >::value, details::field_expr_v2_nonlinear_node_binary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr1 >::type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr2 >::type > >

Expr1

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr1 >::value &&! details::is_field_expr_v2_constant< Expr1 >::value &&details::is_field_expr_v2_nonlinear_arg< Expr2 >::value &&! details::is_field_expr_v2_constant< Expr2 >::value, details::field_expr_v2_nonlinear_node_binary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr1 >::type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr2 >::type > >

value

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr1 >::value &&! details::is_field_expr_v2_constant< Expr1 >::value &&details::is_field_expr_v2_nonlinear_arg< Expr2 >::value &&! details::is_field_expr_v2_constant< Expr2 >::value, details::field_expr_v2_nonlinear_node_binary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr1 >::type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr2 >::type > >

functor_type

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr1 >::value &&! details::is_field_expr_v2_constant< Expr1 >::value &&details::is_field_expr_v2_nonlinear_arg< Expr2 >::value &&! details::is_field_expr_v2_constant< Expr2 >::value, details::field_expr_v2_nonlinear_node_binary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr1 >::type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr2 >::type > >

type

## Member Typedef Documentation

## Float

typedef double Float

see the Float page for the full documentation

Definition at line 143 of file Float.h.

## heap_allocator

template<class T>

using heap_allocator = std::allocator<T>

Definition at line 65 of file heap_allocator.h.

## solver

typedef solver_basic<Float> solver solver

Definition at line 292 of file solver.h.

## solver_abtb

typedef solver_abtb_basic<Float,rheo_default_memory_model> solver_abtb solver_abtb

Definition at line 157 of file solver_abtb.h.

## solver_option_type

using solver_option_type = solver_option

Definition at line 220 of file solver_option.h.

## quadrature_option

using quadrature_option = integrate_option

Definition at line 186 of file integrate_option.h.

## quadrature_option_type

using quadrature_option_type = integrate_option

Definition at line 187 of file integrate_option.h.

## integrate_option_type

using integrate_option_type = integrate_option

Definition at line 188 of file integrate_option.h.

## point [1/3]

typedef point_basic<Float> point

Definition at line 163 of file point.h.

## tensor

typedef tensor_basic<Float> tensor

Definition at line 181 of file tensor.h.

## tensor3

typedef tensor3_basic<Float> tensor3 tensor3

Definition at line 121 of file tensor3.h.

## tensor4

typedef tensor4_basic<Float> tensor4

Definition at line 133 of file tensor4.h.

## ad3

typedef ad3_basic<Float> ad3

Definition at line 95 of file ad3.h.

## basis

typedef basis_basic<Float> basis

Definition at line 683 of file basis.h.

## size_type [1/3]

typedef size_t size_type

Definition at line 76 of file basis_get.cc.

## yytoken_kind_t [1/3]

typedef enum yytokentype yytoken_kind_t

Definition at line 149 of file basis_get.cc.

## YYSTYPE [1/3]

typedef union YYSTYPE YYSTYPE

Definition at line 164 of file basis_get.cc.

## yysymbol_kind_t [1/3]

typedef enum yysymbol_kind_t yysymbol_kind_t

Definition at line 211 of file basis_get.cc.

## yytype_int8 [1/3]

typedef signed char yytype_int8

Definition at line 242 of file basis_get.cc.

## yytype_int16 [1/3]

typedef short yytype_int16

Definition at line 250 of file basis_get.cc.

## yytype_uint8 [1/3]

typedef unsigned char yytype_uint8

Definition at line 271 of file basis_get.cc.

## yytype_uint16 [1/3]

typedef unsigned short yytype_uint16

Definition at line 282 of file basis_get.cc.

## yy_state_t [1/3]

typedef yytype_int8 yy_state_t

Definition at line 326 of file basis_get.cc.

## yy_state_fast_t [1/3]

typedef int yy_state_fast_t

Definition at line 329 of file basis_get.cc.

## flex_int8_t [1/3]

typedef signed char flex_int8_t

Definition at line 73 of file basis_get.cc.

## flex_int16_t [1/3]

typedef short int flex_int16_t

Definition at line 74 of file basis_get.cc.

## flex_int32_t [1/3]

typedef int flex_int32_t

Definition at line 75 of file basis_get.cc.

## flex_uint8_t [1/3]

typedef unsigned char flex_uint8_t

Definition at line 76 of file basis_get.cc.

## flex_uint16_t [1/3]

typedef unsigned short int flex_uint16_t

Definition at line 77 of file basis_get.cc.

## flex_uint32_t [1/3]

typedef unsigned int flex_uint32_t

Definition at line 78 of file basis_get.cc.

## YY_BUFFER_STATE [1/3]

typedef struct yy_buffer_state* YY_BUFFER_STATE

Definition at line 178 of file basis_get.cc.

## yy_size_t [1/3]

typedef size_t yy_size_t

Definition at line 183 of file basis_get.cc.

## YY_CHAR [1/3]

typedef flex_uint8_t YY_CHAR

Definition at line 317 of file basis_get.cc.

## basis_raw

typedef basis_raw_basic<Float> basis_raw

Definition at line 155 of file basis_raw.h.

## adapt_option_type

using adapt_option_type = adapt_option

Definition at line 188 of file adapt.h.

## band

typedef band_basic<Float> band band

Definition at line 125 of file band.h.

## branch

typedef branch_basic<Float> branch branch

Definition at line 229 of file branch.h.

## characteristic

typedef characteristic_basic<Float> characteristic characteristic

Definition at line 218 of file characteristic.h.

## continuation_option_type

using continuation_option_type = continuation_option

Definition at line 100 of file continuation_option.h.

## domain_indirect

typedef domain_indirect_basic<rheo_default_memory_model> domain_indirect

Definition at line 338 of file domain_indirect.h.

## field

typedef field_basic<Float> field field

see the field page for the full documentation

Definition at line 511 of file field.h.

## field_sequential

typedef field_basic<Float,sequential> field_sequential

Definition at line 514 of file field.h.

## result_type

using result_type = typename details::generic_binary_traits<BinaryFunction>::template result_hint<typename Expr1::result_type,typename Expr2::result_type>::type

Definition at line 540 of file field_expr_recursive.h.

## value_type

using value_type = result_type

Definition at line 541 of file field_expr_recursive.h.

## scalar_type

using scalar_type = typename scalar_traits<value_type>::type

Definition at line 542 of file field_expr_recursive.h.

## float_type

using float_type = typename float_traits<value_type>::type

Definition at line 543 of file field_expr_recursive.h.

## memory_type

using memory_type = typename Expr1::memory_type

Definition at line 544 of file field_expr_recursive.h.

## is_affine_homogeneous

using is_affine_homogeneous

Initial value:
or_type<
and_type<
or_type<
std::is_same<BinaryFunction,details::plus>
,std::is_same<BinaryFunction,details::minus>
>
,is_field_expr_affine_homogeneous<Expr1>
,is_field_expr_affine_homogeneous<Expr2>
>
,and_type<
or_type<
std::is_same<BinaryFunction,details::multiplies>
,std::is_same<BinaryFunction,details::divides>
>
,is_field_expr_affine_homogeneous<Expr1>
,is_field_expr_v2_constant <Expr2>
>
,and_type<
std::is_same<BinaryFunction,details::multiplies>
,is_field_expr_v2_constant <Expr1>
,is_field_expr_affine_homogeneous<Expr2>
>
>

Definition at line 562 of file field_expr_recursive.h.

## form

typedef form_basic<Float,rheo_default_memory_model> form form

Definition at line 309 of file form.h.

## geo

typedef geo_basic<Float,rheo_default_memory_model> geo geo

Definition at line 1575 of file geo.h.

## domain

typedef geo geo domain

Definition at line 58 of file geo_domain_indirect.h.

## my_idxtype

typedef int my_idxtype

Definition at line 28 of file geo_partition_scotch.h.

## idxtype

typedef my_idxtype idxtype

Definition at line 30 of file geo_partition_scotch.h.

## KeyValueType

typedef struct KeyValueType KeyValueType

Definition at line 122 of file geo_partition_scotch.h.

## element_type

typedef geo_element_auto<heap_allocator<geo_element::size_type> > element_type

Definition at line 347 of file level_set.cc.

## level_set_option_type

using level_set_option_type = level_set_option

Definition at line 85 of file level_set.h.

## limiter_option_type

typedef limiter_option limiter_option_type

Definition at line 79 of file limiter.h.

## problem

typedef problem_basic<Float> problem problem

Definition at line 163 of file problem.h.

## problem_mixed

typedef problem_mixed_basic<Float> problem_mixed problem_mixed

see the problem_mixed page for the full documentation

Definition at line 236 of file problem_mixed.h.

## space

typedef space_basic<Float> space space

Definition at line 386 of file space.h.

## size_type [2/3]

typedef size_t size_type

Definition at line 52 of file space_constitution_get.cc.

## yytoken_kind_t [2/3]

typedef enum yytokentype yytoken_kind_t

Definition at line 149 of file space_constitution_get.cc.

## YYSTYPE [2/3]

typedef union YYSTYPE YYSTYPE

Definition at line 166 of file space_constitution_get.cc.

## yysymbol_kind_t [2/3]

typedef enum yysymbol_kind_t yysymbol_kind_t

Definition at line 217 of file space_constitution_get.cc.

## yytype_int8 [2/3]

typedef signed char yytype_int8

Definition at line 248 of file space_constitution_get.cc.

## yytype_int16 [2/3]

typedef short yytype_int16

Definition at line 256 of file space_constitution_get.cc.

## yytype_uint8 [2/3]

typedef unsigned char yytype_uint8

Definition at line 265 of file space_constitution_get.cc.

## yytype_uint16 [2/3]

typedef unsigned short yytype_uint16

Definition at line 276 of file space_constitution_get.cc.

## yy_state_t [2/3]

typedef yytype_int8 yy_state_t

Definition at line 320 of file space_constitution_get.cc.

## yy_state_fast_t [2/3]

typedef int yy_state_fast_t

Definition at line 323 of file space_constitution_get.cc.

## flex_int8_t [2/3]

typedef signed char flex_int8_t

Definition at line 73 of file space_constitution_get.cc.

## flex_int16_t [2/3]

typedef short int flex_int16_t

Definition at line 74 of file space_constitution_get.cc.

## flex_int32_t [2/3]

typedef int flex_int32_t

Definition at line 75 of file space_constitution_get.cc.

## flex_uint8_t [2/3]

typedef unsigned char flex_uint8_t

Definition at line 76 of file space_constitution_get.cc.

## flex_uint16_t [2/3]

typedef unsigned short int flex_uint16_t

Definition at line 77 of file space_constitution_get.cc.

## flex_uint32_t [2/3]

typedef unsigned int flex_uint32_t

Definition at line 78 of file space_constitution_get.cc.

## YY_BUFFER_STATE [2/3]

typedef struct yy_buffer_state* YY_BUFFER_STATE

Definition at line 178 of file space_constitution_get.cc.

## yy_size_t [2/3]

typedef size_t yy_size_t

Definition at line 183 of file space_constitution_get.cc.

## YY_CHAR [2/3]

typedef flex_uint8_t YY_CHAR

Definition at line 317 of file space_constitution_get.cc.

## list_type

typedef std::list<tree_type> list_type

Definition at line 98 of file space_constitution_get.icc.

## parse_type

typedef int(* parse_type) (void)

Definition at line 107 of file space_constitution_get.icc.

## size_type [3/3]

typedef size_t size_type

Definition at line 52 of file space_constitution_old_get.cc.

## yytoken_kind_t [3/3]

typedef enum yytokentype yytoken_kind_t

Definition at line 144 of file space_constitution_old_get.cc.

## YYSTYPE [3/3]

typedef union YYSTYPE YYSTYPE

Definition at line 161 of file space_constitution_old_get.cc.

## yysymbol_kind_t [3/3]

typedef enum yysymbol_kind_t yysymbol_kind_t

Definition at line 192 of file space_constitution_old_get.cc.

## yytype_int8 [3/3]

typedef signed char yytype_int8

Definition at line 223 of file space_constitution_old_get.cc.

## yytype_int16 [3/3]

typedef short yytype_int16

Definition at line 231 of file space_constitution_old_get.cc.

## yytype_uint8 [3/3]

typedef unsigned char yytype_uint8

Definition at line 240 of file space_constitution_old_get.cc.

## yytype_uint16 [3/3]

typedef unsigned short yytype_uint16

Definition at line 251 of file space_constitution_old_get.cc.

## yy_state_t [3/3]

typedef yytype_int8 yy_state_t

Definition at line 295 of file space_constitution_old_get.cc.

## yy_state_fast_t [3/3]

typedef int yy_state_fast_t

Definition at line 298 of file space_constitution_old_get.cc.

## flex_int8_t [3/3]

typedef signed char flex_int8_t

Definition at line 73 of file space_constitution_old_get.cc.

## flex_int16_t [3/3]

typedef short int flex_int16_t

Definition at line 74 of file space_constitution_old_get.cc.

## flex_int32_t [3/3]

typedef int flex_int32_t

Definition at line 75 of file space_constitution_old_get.cc.

## flex_uint8_t [3/3]

typedef unsigned char flex_uint8_t

Definition at line 76 of file space_constitution_old_get.cc.

## flex_uint16_t [3/3]

typedef unsigned short int flex_uint16_t

Definition at line 77 of file space_constitution_old_get.cc.

## flex_uint32_t [3/3]

typedef unsigned int flex_uint32_t

Definition at line 78 of file space_constitution_old_get.cc.

## YY_BUFFER_STATE [3/3]

typedef struct yy_buffer_state* YY_BUFFER_STATE

Definition at line 178 of file space_constitution_old_get.cc.

## yy_size_t [3/3]

typedef size_t yy_size_t

Definition at line 183 of file space_constitution_old_get.cc.

## YY_CHAR [3/3]

typedef flex_uint8_t YY_CHAR

Definition at line 317 of file space_constitution_old_get.cc.

## test

typedef test_basic<Float,rheo_default_memory_model,details::vf_tag_01> test test

Definition at line 324 of file test.h.

## trial

typedef test_basic<Float,rheo_default_memory_model,details::vf_tag_10> trial trial

Definition at line 327 of file test.h.

## point [2/3]

using point point = point_basic<double>

Definition at line 68 of file field2gmsh_pos.cc.

## point [3/3]

using point point = point_basic<double>

Definition at line 143 of file msh2geo.cc.

## orientation_type

typedef int orientation_type

Definition at line 190 of file msh2geo.cc.

## shift_type

typedef int shift_type

Definition at line 191 of file msh2geo.cc.

## Member Enumeration Documentation

## yytokentype [1/3]

enum yytokentype

Enumerator
YYEMPTY |
YYEOF |
YYerror |
YYUNDEF |
IDENTIFIER |
INTEGER |
FAMILY_NO_INDEX |
VALUED |
TRACE |
COORDINATE |
D |
YYEMPTY |
YYEOF |
YYerror |
YYUNDEF |
IDENTIFIER |
GEO_NAME |
INTEGER |
FAMILY_NO_INDEX |
VALUED |
COORDINATE |
D |
YYEMPTY |
YYEOF |
YYerror |
YYUNDEF |
IDENTIFIER |
VALUED |

Definition at line 135 of file basis_get.cc.

## yysymbol_kind_t [1/3]

enum yysymbol_kind_t

Enumerator
YYSYMBOL_YYEMPTY |
YYSYMBOL_YYEOF |
YYSYMBOL_YYerror |
YYSYMBOL_YYUNDEF |
YYSYMBOL_IDENTIFIER |
YYSYMBOL_INTEGER |
YYSYMBOL_FAMILY_NO_INDEX |
YYSYMBOL_VALUED |
YYSYMBOL_TRACE |
YYSYMBOL_COORDINATE |
YYSYMBOL_D |
YYSYMBOL_10_ |
YYSYMBOL_11_ |
YYSYMBOL_12_ |
YYSYMBOL_13_ |
YYSYMBOL_14_ |
YYSYMBOL_15_ |
YYSYMBOL_16_ |
YYSYMBOL_YYACCEPT |
YYSYMBOL_all |
YYSYMBOL_basis |
YYSYMBOL_scalar_name |
YYSYMBOL_opt_d |
YYSYMBOL_family_name |
YYSYMBOL_index |
YYSYMBOL_opt_list |
YYSYMBOL_non_empty_opt_list |
YYSYMBOL_opt_valued_list |
YYSYMBOL_non_empty_opt_valued_list |
YYSYMBOL_opt_valued |
YYSYMBOL_YYEMPTY |
YYSYMBOL_YYEOF |
YYSYMBOL_YYerror |
YYSYMBOL_YYUNDEF |
YYSYMBOL_IDENTIFIER |
YYSYMBOL_GEO_NAME |
YYSYMBOL_INTEGER |
YYSYMBOL_FAMILY_NO_INDEX |
YYSYMBOL_VALUED |
YYSYMBOL_COORDINATE |
YYSYMBOL_D |
YYSYMBOL_10_ |
YYSYMBOL_11_ |
YYSYMBOL_12_ |
YYSYMBOL_13_ |
YYSYMBOL_14_ |
YYSYMBOL_15_ |
YYSYMBOL_16_ |
YYSYMBOL_17_ |
YYSYMBOL_18_ |
YYSYMBOL_YYACCEPT |
YYSYMBOL_all |
YYSYMBOL_top_expr |
YYSYMBOL_factor |
YYSYMBOL_expr_list |
YYSYMBOL_expr |
YYSYMBOL_basis |
YYSYMBOL_scalar_name |
YYSYMBOL_opt_d |
YYSYMBOL_family_name |
YYSYMBOL_index |
YYSYMBOL_opt_list |
YYSYMBOL_non_empty_opt_list |
YYSYMBOL_opt_valued_list |
YYSYMBOL_non_empty_opt_valued_list |
YYSYMBOL_opt_valued |
YYSYMBOL_YYEMPTY |
YYSYMBOL_YYEOF |
YYSYMBOL_YYerror |
YYSYMBOL_YYUNDEF |
YYSYMBOL_IDENTIFIER |
YYSYMBOL_VALUED |
YYSYMBOL_5_ |
YYSYMBOL_6_ |
YYSYMBOL_7_ |
YYSYMBOL_YYACCEPT |
YYSYMBOL_all |
YYSYMBOL_top_expr |
YYSYMBOL_factor |
YYSYMBOL_basis_geo |
YYSYMBOL_expr_list |
YYSYMBOL_expr |

Definition at line 178 of file basis_get.cc.

## anonymous enum

anonymous enum

Enumerator
YYENOMEM |

Definition at line 718 of file basis_get.cc.

## yytokentype [2/3]

enum yytokentype

Enumerator
YYEMPTY |
YYEOF |
YYerror |
YYUNDEF |
IDENTIFIER |
INTEGER |
FAMILY_NO_INDEX |
VALUED |
TRACE |
COORDINATE |
D |
YYEMPTY |
YYEOF |
YYerror |
YYUNDEF |
IDENTIFIER |
GEO_NAME |
INTEGER |
FAMILY_NO_INDEX |
VALUED |
COORDINATE |
D |
YYEMPTY |
YYEOF |
YYerror |
YYUNDEF |
IDENTIFIER |
VALUED |

Definition at line 135 of file space_constitution_get.cc.

## yysymbol_kind_t [2/3]

enum yysymbol_kind_t

Enumerator
YYSYMBOL_YYEMPTY |
YYSYMBOL_YYEOF |
YYSYMBOL_YYerror |
YYSYMBOL_YYUNDEF |
YYSYMBOL_IDENTIFIER |
YYSYMBOL_INTEGER |
YYSYMBOL_FAMILY_NO_INDEX |
YYSYMBOL_VALUED |
YYSYMBOL_TRACE |
YYSYMBOL_COORDINATE |
YYSYMBOL_D |
YYSYMBOL_10_ |
YYSYMBOL_11_ |
YYSYMBOL_12_ |
YYSYMBOL_13_ |
YYSYMBOL_14_ |
YYSYMBOL_15_ |
YYSYMBOL_16_ |
YYSYMBOL_YYACCEPT |
YYSYMBOL_all |
YYSYMBOL_basis |
YYSYMBOL_scalar_name |
YYSYMBOL_opt_d |
YYSYMBOL_family_name |
YYSYMBOL_index |
YYSYMBOL_opt_list |
YYSYMBOL_non_empty_opt_list |
YYSYMBOL_opt_valued_list |
YYSYMBOL_non_empty_opt_valued_list |
YYSYMBOL_opt_valued |
YYSYMBOL_YYEMPTY |
YYSYMBOL_YYEOF |
YYSYMBOL_YYerror |
YYSYMBOL_YYUNDEF |
YYSYMBOL_IDENTIFIER |
YYSYMBOL_GEO_NAME |
YYSYMBOL_INTEGER |
YYSYMBOL_FAMILY_NO_INDEX |
YYSYMBOL_VALUED |
YYSYMBOL_COORDINATE |
YYSYMBOL_D |
YYSYMBOL_10_ |
YYSYMBOL_11_ |
YYSYMBOL_12_ |
YYSYMBOL_13_ |
YYSYMBOL_14_ |
YYSYMBOL_15_ |
YYSYMBOL_16_ |
YYSYMBOL_17_ |
YYSYMBOL_18_ |
YYSYMBOL_YYACCEPT |
YYSYMBOL_all |
YYSYMBOL_top_expr |
YYSYMBOL_factor |
YYSYMBOL_expr_list |
YYSYMBOL_expr |
YYSYMBOL_basis |
YYSYMBOL_scalar_name |
YYSYMBOL_opt_d |
YYSYMBOL_family_name |
YYSYMBOL_index |
YYSYMBOL_opt_list |
YYSYMBOL_non_empty_opt_list |
YYSYMBOL_opt_valued_list |
YYSYMBOL_non_empty_opt_valued_list |
YYSYMBOL_opt_valued |
YYSYMBOL_YYEMPTY |
YYSYMBOL_YYEOF |
YYSYMBOL_YYerror |
YYSYMBOL_YYUNDEF |
YYSYMBOL_IDENTIFIER |
YYSYMBOL_VALUED |
YYSYMBOL_5_ |
YYSYMBOL_6_ |
YYSYMBOL_7_ |
YYSYMBOL_YYACCEPT |
YYSYMBOL_all |
YYSYMBOL_top_expr |
YYSYMBOL_factor |
YYSYMBOL_basis_geo |
YYSYMBOL_expr_list |
YYSYMBOL_expr |

Definition at line 178 of file space_constitution_get.cc.

## anonymous enum

anonymous enum

Enumerator
YYENOMEM |

Definition at line 723 of file space_constitution_get.cc.

## yytokentype [3/3]

enum yytokentype

Enumerator
YYEMPTY |
YYEOF |
YYerror |
YYUNDEF |
IDENTIFIER |
INTEGER |
FAMILY_NO_INDEX |
VALUED |
TRACE |
COORDINATE |
D |
YYEMPTY |
YYEOF |
YYerror |
YYUNDEF |
IDENTIFIER |
GEO_NAME |
INTEGER |
FAMILY_NO_INDEX |
VALUED |
COORDINATE |
D |
YYEMPTY |
YYEOF |
YYerror |
YYUNDEF |
IDENTIFIER |
VALUED |

Definition at line 135 of file space_constitution_old_get.cc.

## yysymbol_kind_t [3/3]

enum yysymbol_kind_t

Enumerator
YYSYMBOL_YYEMPTY |
YYSYMBOL_YYEOF |
YYSYMBOL_YYerror |
YYSYMBOL_YYUNDEF |
YYSYMBOL_IDENTIFIER |
YYSYMBOL_INTEGER |
YYSYMBOL_FAMILY_NO_INDEX |
YYSYMBOL_VALUED |
YYSYMBOL_TRACE |
YYSYMBOL_COORDINATE |
YYSYMBOL_D |
YYSYMBOL_10_ |
YYSYMBOL_11_ |
YYSYMBOL_12_ |
YYSYMBOL_13_ |
YYSYMBOL_14_ |
YYSYMBOL_15_ |
YYSYMBOL_16_ |
YYSYMBOL_YYACCEPT |
YYSYMBOL_all |
YYSYMBOL_basis |
YYSYMBOL_scalar_name |
YYSYMBOL_opt_d |
YYSYMBOL_family_name |
YYSYMBOL_index |
YYSYMBOL_opt_list |
YYSYMBOL_non_empty_opt_list |
YYSYMBOL_opt_valued_list |
YYSYMBOL_non_empty_opt_valued_list |
YYSYMBOL_opt_valued |
YYSYMBOL_YYEMPTY |
YYSYMBOL_YYEOF |
YYSYMBOL_YYerror |
YYSYMBOL_YYUNDEF |
YYSYMBOL_IDENTIFIER |
YYSYMBOL_GEO_NAME |
YYSYMBOL_INTEGER |
YYSYMBOL_FAMILY_NO_INDEX |
YYSYMBOL_VALUED |
YYSYMBOL_COORDINATE |
YYSYMBOL_D |
YYSYMBOL_10_ |
YYSYMBOL_11_ |
YYSYMBOL_12_ |
YYSYMBOL_13_ |
YYSYMBOL_14_ |
YYSYMBOL_15_ |
YYSYMBOL_16_ |
YYSYMBOL_17_ |
YYSYMBOL_18_ |
YYSYMBOL_YYACCEPT |
YYSYMBOL_all |
YYSYMBOL_top_expr |
YYSYMBOL_factor |
YYSYMBOL_expr_list |
YYSYMBOL_expr |
YYSYMBOL_basis |
YYSYMBOL_scalar_name |
YYSYMBOL_opt_d |
YYSYMBOL_family_name |
YYSYMBOL_index |
YYSYMBOL_opt_list |
YYSYMBOL_non_empty_opt_list |
YYSYMBOL_opt_valued_list |
YYSYMBOL_non_empty_opt_valued_list |
YYSYMBOL_opt_valued |
YYSYMBOL_YYEMPTY |
YYSYMBOL_YYEOF |
YYSYMBOL_YYerror |
YYSYMBOL_YYUNDEF |
YYSYMBOL_IDENTIFIER |
YYSYMBOL_VALUED |
YYSYMBOL_5_ |
YYSYMBOL_6_ |
YYSYMBOL_7_ |
YYSYMBOL_YYACCEPT |
YYSYMBOL_all |
YYSYMBOL_top_expr |
YYSYMBOL_factor |
YYSYMBOL_basis_geo |
YYSYMBOL_expr_list |
YYSYMBOL_expr |

Definition at line 173 of file space_constitution_old_get.cc.

## anonymous enum

anonymous enum

Enumerator
YYENOMEM |

Definition at line 678 of file space_constitution_old_get.cc.

## Member Data Documentation

## dummy

iorheo::force_initialization dummy

static

Definition at line 147 of file iorheo.cc.

## iorheobase_memory_handler< iorheo >::pointer_list

template<>

list<iorheo*>* iorheobase_memory_handler< iorheo >::pointer_list = 0

Definition at line 192 of file iorheo.cc.

## persistent_table< A >::_loaded_map

template<class A>

persistent_table<A>::loaded_map_type persistent_table< A >::_loaded_map

Definition at line 128 of file persistent_table.h.

## persistent_table< A >::_verbose

template<class A>

bool persistent_table< A >::_verbose = false

Definition at line 132 of file persistent_table.h.

## rheo_path_name

const char* rheo_path_name = "RHEOPATH"

static

Definition at line 283 of file rheostream.cc.

## default_rheo_path

const char* default_rheo_path = "."

static

Definition at line 284 of file rheostream.cc.

## rheo_path

char* rheo_path = 0

static

Definition at line 285 of file rheostream.cc.

## dont_gzip

const bool dont_gzip = false

static

Definition at line 192 of file rheostream.h.

## distributed

distributed

Definition at line 228 of file asr.cc.

## din

idiststream din

see the diststream page for the full documentation

Definition at line 464 of file diststream.h.

## dout

odiststream dout

see the diststream page for the full documentation

Definition at line 467 of file diststream.h.

## dlog

odiststream dlog

see the diststream page for the full documentation

Definition at line 470 of file diststream.h.

## derr

odiststream derr

see the diststream page for the full documentation

Definition at line 473 of file diststream.h.

## Expr1 [1/4]

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr1 >::value &&! details::is_field_expr_v2_constant< Expr1 >::value &&details::is_field_expr_v2_nonlinear_arg< Expr2 >::value &&! details::is_field_expr_v2_constant< Expr2 >::value, details::field_expr_v2_nonlinear_node_binary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr1 >::type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr2 >::type > > Expr1

dot(x,y): see the expression page for the full documentation

## value [1/3]

rheolef::std::enable_if< details::is_vec_expr_v2_arg< Expr1 >::value &&details::is_vec_expr_v2_arg< Expr2 >::value, promote< Expr1::float_type, Expr2::float_type >::type > value

## static_family_name

const char* static_family_name[quadrature_option::max_family+1]

static

Initial value:
= {
"gauss" ,
"gauss_lobatto" ,
"gauss_radau" ,
"middle_edge" ,
"superconvergent" ,
"equispaced" ,
"undefined"
}

Definition at line 31 of file quadrature_rep.cc.

## hat_K_measure

const Float hat_K_measure[reference_element::max_variant]

static

Initial value:
= {
1,
1,
0.5,
4,
0.166666666666667,
1,
8
}

Definition at line 75 of file reference_element.cc.

## geo_element_T_fac2edg_idx

const reference_element::size_type geo_element_T_fac2edg_idx[4][3]

Initial value:
= {
{2,1,0},
{3,5,2},
{0,4,3},
{1,5,4} }

Definition at line 85 of file reference_element.cc.

## geo_element_P_fac2edg_idx

const reference_element::size_type geo_element_P_fac2edg_idx[5][4]

Initial value:
= {
{2,1,0},
{6,7,8},
{0,4,6,3},
{1,5,7,4},
{3,8,5,2} }

Definition at line 92 of file reference_element.cc.

## geo_element_H_fac2edg_idx

const reference_element::size_type geo_element_H_fac2edg_idx[6][4]

Initial value:
= {
{3,2,1,0},
{4,11,7,3},
{0,5,8,4},
{8,9,10,11},
{1,6,9,5},
{2,7,10,6} }

Definition at line 100 of file reference_element.cc.

## geo_element_T_fac2edg_orient

const int geo_element_T_fac2edg_orient[4][3]

Initial value:
= {
{-1,-1,-1},
{1,-1,1},
{1,1,-1},
{1,1,-1} }

Definition at line 109 of file reference_element.cc.

## geo_element_P_fac2edg_orient

const int geo_element_P_fac2edg_orient[5][4]

Initial value:
= {
{-1,-1,-1},
{1,1,1},
{1,1,-1,-1},
{1,1,-1,-1},
{1,-1,-1,1} }

Definition at line 116 of file reference_element.cc.

## geo_element_H_fac2edg_orient

const int geo_element_H_fac2edg_orient[6][4]

Initial value:
= {
{-1,-1,-1,-1},
{1,-1,-1,1},
{1,1,-1,-1},
{1,1,1,1},
{1,1,-1,-1},
{1,1,-1,-1} }

Definition at line 124 of file reference_element.cc.

## reference_element__p

size_t reference_element__p = 0

constexpr

Definition at line 33 of file reference_element_aux.icc.

## reference_element__e

size_t reference_element__e = 1

constexpr

Definition at line 34 of file reference_element_aux.icc.

## reference_element__t

size_t reference_element__t = 2

constexpr

Definition at line 35 of file reference_element_aux.icc.

## reference_element__q

size_t reference_element__q = 3

constexpr

Definition at line 36 of file reference_element_aux.icc.

## reference_element__T

size_t reference_element__T = 4

constexpr

Definition at line 37 of file reference_element_aux.icc.

## reference_element__P

size_t reference_element__P = 5

constexpr

Definition at line 38 of file reference_element_aux.icc.

## reference_element__H

size_t reference_element__H = 6

constexpr

Definition at line 39 of file reference_element_aux.icc.

## reference_element__max_variant

size_t reference_element__max_variant = 7

constexpr

Definition at line 40 of file reference_element_aux.icc.

## _reference_element_dimension_by_variant

size_t _reference_element_dimension_by_variant[reference_element__max_variant] = {0, 1, 2, 2, 3, 3, 3}

static

Definition at line 52 of file reference_element_aux.icc.

## _reference_element_n_edge_by_variant

size_t _reference_element_n_edge_by_variant[reference_element__max_variant] = {0, 1, 3, 4, 6, 9, 12}

static

Definition at line 53 of file reference_element_aux.icc.

## _reference_element_n_face_by_variant

size_t _reference_element_n_face_by_variant[reference_element__max_variant] = {0, 0, 1, 1, 4, 5, 6}

static

Definition at line 54 of file reference_element_aux.icc.

## _first_variant_by_dimension

const size_t _first_variant_by_dimension[5]

static

Initial value:
= {
reference_element__p,
reference_element__e,
reference_element__t,
reference_element__T,
reference_element__max_variant
}
rheolef::reference_element__e
constexpr size_t reference_element__e
Definition reference_element_aux.icc:34
rheolef::reference_element__T
constexpr size_t reference_element__T
Definition reference_element_aux.icc:37
rheolef::reference_element__p
constexpr size_t reference_element__p
Definition reference_element_aux.icc:33
rheolef::reference_element__t
constexpr size_t reference_element__t
Definition reference_element_aux.icc:35
rheolef::reference_element__max_variant
constexpr size_t reference_element__max_variant
Definition reference_element_aux.icc:40

Definition at line 151 of file reference_element_aux.icc.

## tiny_size_max

const unsigned int tiny_size_max = 32

Definition at line 36 of file tiny_matvec.h.

## basis_fem_empty< T >::_dummy_hat_node

template<class T>

const Eigen::Matrix<point_basic<T>,Eigen::Dynamic,1> basis_fem_empty< T >::_dummy_hat_node

Definition at line 28 of file basis_fem_empty.cc.

## _current_fio

family_index_option_type _current_fio

static

Definition at line 50 of file basis_get.cc.

## basis_line_no

size_type basis_line_no = 1

static

Definition at line 78 of file basis_get.cc.

## basis_n_error

size_type basis_n_error = 0

static

Definition at line 79 of file basis_get.cc.

## basis_input_string

std::string basis_input_string

static

Definition at line 80 of file basis_get.cc.

## symbol_table

std::vector< std::string > symbol_table

static

Definition at line 90 of file basis_get.cc.

## basis_lval

YYSTYPE basis_lval

Definition at line 170 of file basis_get.cc.

## yytranslate

const yytype_int8 yytranslate

static

Initial value:
=
{
0, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
11, 12, 2, 2, 15, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 10,
2, 16, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 13, 2, 14, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 1, 2, 3, 4,
5, 6, 7, 8, 9
}

Definition at line 561 of file basis_get.cc.

## yypact

const yytype_int8 yypact

static

Initial value:
=
{
-2, -12, -12, -7, -9, 12, 3, -12, 13, -1,
5, -2, -12, -12, -12, 9, -12, 4, -4, -12,
-2, 7, -12, 8, 18, -12, -1, 11, -12, 21,
-12, -12, -12, -12, -12, 0, -12, 22, -12
}

Definition at line 641 of file basis_get.cc.

## yydefact

const yytype_int8 yydefact

static

Initial value:
=
{
0, 10, 6, 16, 0, 0, 0, 3, 0, 0,
0, 0, 1, 2, 11, 8, 21, 0, 0, 18,
0, 0, 9, 12, 0, 17, 0, 0, 5, 0,
7, 20, 19, 4, 14, 0, 13, 0, 15
}

Definition at line 652 of file basis_get.cc.

## yypgoto

const yytype_int8 yypgoto

static

Initial value:
=
{
-12, -12, -11, -12, -12, -12, -12, -12, -12, -12,
-12, 1
}

Definition at line 661 of file basis_get.cc.

## yydefgoto

const yytype_int8 yydefgoto

static

Initial value:
=
{
0, 5, 6, 7, 23, 8, 15, 30, 35, 10,
18, 19
}

Definition at line 668 of file basis_get.cc.

## yytable

const yytype_int8 yytable

static

Initial value:
=
{
21, 1, 11, 2, 3, 4, 9, 16, 17, 27,
25, 26, 12, 13, 36, 37, 20, 14, 22, 28,
24, 29, 31, 33, 34, 38, 0, 32
}

Definition at line 677 of file basis_get.cc.

## yycheck

const yytype_int8 yycheck

static

Initial value:
=
{
11, 3, 11, 5, 6, 7, 13, 8, 9, 20,
14, 15, 0, 10, 14, 15, 11, 4, 9, 12,
16, 13, 4, 12, 3, 3, -1, 26
}

Definition at line 684 of file basis_get.cc.

## yystos

const yytype_int8 yystos

static

Initial value:
=
{
0, 3, 5, 6, 7, 18, 19, 20, 22, 13,
26, 11, 0, 10, 4, 23, 8, 9, 27, 28,
11, 19, 9, 21, 16, 14, 15, 19, 12, 13,
24, 4, 28, 12, 3, 25, 14, 15, 3
}

Definition at line 693 of file basis_get.cc.

## yyr1

const yytype_int8 yyr1

static

Initial value:
=
{
0, 17, 18, 19, 19, 19, 20, 20, 21, 21,
22, 23, 24, 24, 25, 25, 26, 26, 27, 27,
28, 28
}

Definition at line 702 of file basis_get.cc.

## yyr2

const yytype_int8 yyr2

static

Initial value:
=
{
0, 2, 2, 1, 5, 4, 1, 4, 0, 1,
1, 1, 0, 3, 1, 3, 0, 3, 1, 3,
3, 1
}

Definition at line 710 of file basis_get.cc.

## yychar

int yychar

Definition at line 921 of file basis_get.cc.

## yylval

YYSTYPE yylval

Definition at line 924 of file basis_get.cc.

## yynerrs

int yynerrs

Definition at line 926 of file basis_get.cc.

## yyleng

int yyleng

Definition at line 186 of file basis_get.cc.

## yy_accept

const flex_int16_t yy_accept

static

Initial value:
=
{ 0,
0, 0, 19, 17, 18, 16, 15, 15, 15, 15,
1, 15, 15, 15, 15, 15, 15, 15, 16, 15,
0, 15, 15, 15, 13, 15, 15, 15, 15, 15,
14, 0, 15, 15, 15, 15, 15, 15, 15, 15,
3, 15, 15, 15, 15, 15, 15, 15, 15, 15,
15, 4, 15, 15, 15, 15, 15, 2, 15, 5,
7, 15, 15, 6, 15, 9, 10, 11, 15, 15,
15, 12, 15, 15, 15, 15, 15, 15, 15, 15,
15, 8, 0
}

Definition at line 344 of file basis_get.cc.

## yy_ec

const YY_CHAR yy_ec

static

Definition at line 357 of file basis_get.cc.

## yy_meta

const YY_CHAR yy_meta

static

Initial value:
=
{ 0,
1, 1, 1, 1, 1, 1, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2, 2, 2,
2, 2, 2, 2, 2, 2, 2, 2
}

Definition at line 389 of file basis_get.cc.

## yy_base

const flex_int16_t yy_base

static

Initial value:
=
{ 0,
0, 0, 100, 101, 101, 26, 0, 95, 73, 87,
0, 79, 67, 82, 19, 75, 78, 69, 31, 0,
69, 78, 66, 67, 0, 76, 67, 74, 60, 70,
0, 68, 69, 55, 54, 61, 53, 63, 47, 49,
101, 56, 57, 43, 59, 49, 53, 49, 46, 50,
40, 0, 40, 39, 51, 42, 36, 0, 42, 0,
33, 38, 41, 0, 44, 101, 101, 0, 29, 34,
29, 0, 35, 37, 39, 23, 32, 27, 21, 24,
20, 0, 101, 38
}

Definition at line 396 of file basis_get.cc.

## yy_def

const flex_int16_t yy_def

static

Initial value:
=
{ 0,
83, 1, 83, 83, 83, 83, 84, 84, 84, 84,
84, 84, 84, 84, 84, 84, 84, 84, 83, 84,
83, 84, 84, 84, 84, 84, 84, 84, 84, 84,
84, 83, 84, 84, 84, 84, 84, 84, 84, 84,
83, 84, 84, 84, 84, 84, 84, 84, 84, 84,
84, 84, 84, 84, 84, 84, 84, 84, 84, 84,
84, 84, 84, 84, 84, 83, 83, 84, 84, 84,
84, 84, 84, 84, 84, 84, 84, 84, 84, 84,
84, 84, 0, 83
}

Definition at line 409 of file basis_get.cc.

## yy_nxt

const flex_int16_t yy_nxt

static

Initial value:
=
{ 0,
4, 5, 6, 6, 6, 6, 7, 8, 4, 7,
9, 10, 11, 12, 7, 7, 7, 7, 7, 7,
7, 13, 14, 15, 16, 17, 7, 18, 19, 19,
19, 19, 27, 19, 19, 19, 19, 66, 67, 20,
28, 82, 81, 80, 79, 78, 77, 76, 75, 74,
73, 72, 71, 70, 69, 68, 65, 64, 63, 62,
61, 60, 59, 58, 57, 56, 55, 54, 53, 52,
51, 50, 49, 48, 47, 46, 45, 44, 43, 42,
41, 40, 39, 38, 37, 36, 35, 34, 33, 32,
31, 30, 29, 26, 25, 24, 23, 22, 21, 83,
3, 83, 83, 83, 83, 83, 83, 83, 83, 83,
83, 83, 83, 83, 83, 83, 83, 83, 83, 83,
83, 83, 83, 83, 83, 83, 83, 83, 83
}

Definition at line 422 of file basis_get.cc.

## yy_chk

const flex_int16_t yy_chk

static

Initial value:
=
{ 0,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
1, 1, 1, 1, 1, 1, 1, 1, 6, 6,
6, 6, 15, 19, 19, 19, 19, 61, 61, 84,
15, 81, 80, 79, 78, 77, 76, 75, 74, 73,
71, 70, 69, 65, 63, 62, 59, 57, 56, 55,
54, 53, 51, 50, 49, 48, 47, 46, 45, 44,
43, 42, 40, 39, 38, 37, 36, 35, 34, 33,
32, 30, 29, 28, 27, 26, 24, 23, 22, 21,
18, 17, 16, 14, 13, 12, 10, 9, 8, 3,
83, 83, 83, 83, 83, 83, 83, 83, 83, 83,
83, 83, 83, 83, 83, 83, 83, 83, 83, 83,
83, 83, 83, 83, 83, 83, 83, 83, 83
}

Definition at line 440 of file basis_get.cc.

## YY_DECL

YY_DECL

Initial value:
{
yy_state_type yy_current_state

The main scanner function which does all the work.

Definition at line 592 of file basis_get.cc.

## yy_cp

char * yy_cp

Definition at line 595 of file basis_get.cc.

## yy_bp

char * yy_bp

Definition at line 595 of file basis_get.cc.

## yy_act

int yy_act

Definition at line 596 of file basis_get.cc.

## static_node_name

const char* static_node_name[basis_option::max_node+1]

static

Initial value:
= {
"equispaced" ,
"warburton" ,
"fekete" ,
"undefined"
}

Definition at line 31 of file basis_option.cc.

## static_raw_polynomial_name

const char* static_raw_polynomial_name[basis_option::max_raw_polynomial+1]

static

Initial value:
= {
"monomial" ,
"bernstein" ,
"dubiner" ,
"undefined"
}

Definition at line 37 of file basis_option.cc.

## point_basic< T >

point_basic< T >

Definition at line 134 of file piola_fem.h.

## tensor3_basic< T >

tensor_basic< T > tensor3_basic< T >

Definition at line 136 of file piola_fem.h.

## band_epsilon

Float band_epsilon = 100*std::numeric_limits<Float>::epsilon()

static

Definition at line 43 of file band.cc.

## Expr1 [2/4]

rheolef::std::enable_if< details::is_field_expr_affine_homogeneous< Expr1 >::value &&details::is_field_expr_affine_homogeneous< Expr2 >::value, promote< Expr1::float_type, Expr2::float_type >::type > Expr1

## value [2/3]

rheolef::std::enable_if< details::is_field_expr_affine_homogeneous< Expr1 >::value &&details::is_field_expr_affine_homogeneous< Expr2 >::value, promote< Expr1::float_type, Expr2::float_type >::type > value

## BinaryFunction

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr >::value, details::field_expr_v2_nonlinear_node_unary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr >::type > > BinaryFunction

## Expr1 [3/4]

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr >::value, details::field_expr_v2_nonlinear_node_unary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr >::type > > Expr1

## size_type

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr >::value, details::field_expr_v2_nonlinear_node_unary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr >::type > > size_type = geo_element::size_type

## valued_hint

const space_constant::valued_type valued_hint = space_constant::valued_tag_traits<result_type>::value

static

Definition at line 618 of file field_expr_recursive.h.

## _f

BinaryFunction _f

protected

Definition at line 973 of file field_expr_recursive.h.

## _expr1

Expr1 _expr1

protected

Definition at line 974 of file field_expr_recursive.h.

## _expr2

Expr2 _expr2

protected

Definition at line 975 of file field_expr_recursive.h.

## Function

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr1 >::value &&! details::is_field_expr_v2_constant< Expr1 >::value &&details::is_field_expr_v2_nonlinear_arg< Expr2 >::value &&! details::is_field_expr_v2_constant< Expr2 >::value, details::field_expr_v2_nonlinear_node_binary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr1 >::type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr2 >::type > > Function

protected

## Expr1 [4/4]

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr1 >::value &&! details::is_field_expr_v2_constant< Expr1 >::value &&details::is_field_expr_v2_nonlinear_arg< Expr2 >::value &&! details::is_field_expr_v2_constant< Expr2 >::value, details::field_expr_v2_nonlinear_node_binary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr1 >::type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr2 >::type > > Expr1

protected

## value [3/3]

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr1 >::value &&! details::is_field_expr_v2_constant< Expr1 >::value &&details::is_field_expr_v2_nonlinear_arg< Expr2 >::value &&! details::is_field_expr_v2_constant< Expr2 >::value, details::field_expr_v2_nonlinear_node_binary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr1 >::type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr2 >::type > > value

protected

## functor_type

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr1 >::value &&! details::is_field_expr_v2_constant< Expr1 >::value &&details::is_field_expr_v2_nonlinear_arg< Expr2 >::value &&! details::is_field_expr_v2_constant< Expr2 >::value, details::field_expr_v2_nonlinear_node_binary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr1 >::type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr2 >::type > > functor_type

protected

## type

rheolef::std::enable_if< details::is_field_expr_v2_nonlinear_arg< Expr1 >::value &&! details::is_field_expr_v2_constant< Expr1 >::value &&details::is_field_expr_v2_nonlinear_arg< Expr2 >::value &&! details::is_field_expr_v2_constant< Expr2 >::value, details::field_expr_v2_nonlinear_node_binary< details::function_traits< Function >::functor_type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr1 >::type, details::field_expr_v2_nonlinear_terminal_wrapper_traits< Expr2 >::type > > type

protected

## geo_base_rep< T, M >::_loaded_map

template<class T, class M>

geo_base_rep<T,M>::loaded_map_t geo_base_rep< T, M >::_loaded_map

Definition at line 147 of file geo.cc.

## label_variant

const char* label_variant[]

static

Initial value:
= {
"nodes",
"edges",
"triangles",
"quadrangles",
"tetrahedra",
"prisms",
"hexahedra"
}

Definition at line 26 of file geo_header.cc.

## iorheobase_memory_handler< iofem >::pointer_list

template<>

list<iofem*>* iorheobase_memory_handler< iofem >::pointer_list = 0

Definition at line 60 of file iofem.cc.

## level_set_epsilon

Float level_set_epsilon = 100*std::numeric_limits<Float>::epsilon()

static

Definition at line 82 of file level_set.cc.

## t

rheolef::space_base_rep< T, M > t = std::pair<size_t,size_t>

## space_constitution_line_no

size_type space_constitution_line_no = 1

static

Definition at line 54 of file space_constitution_get.cc.

## space_constitution_n_error

size_type space_constitution_n_error = 0

static

Definition at line 55 of file space_constitution_get.cc.

## space_constitution_lval

YYSTYPE space_constitution_lval

Definition at line 172 of file space_constitution_get.cc.

## result_ptr

tree_type* result_ptr

static

Definition at line 100 of file space_constitution_get.icc.

## space_constitution_old_line_no

size_type space_constitution_old_line_no = 1

static

Definition at line 54 of file space_constitution_old_get.cc.

## space_constitution_old_n_error

size_type space_constitution_old_n_error = 0

static

Definition at line 55 of file space_constitution_old_get.cc.

## space_constitution_old_lval

YYSTYPE space_constitution_old_lval

Definition at line 167 of file space_constitution_old_get.cc.

## empty_set

std::set<size_t> empty_set

static

Definition at line 59 of file space_seq.cc.

## _reference_element_name

const char _reference_element_name

Initial value:
= {
'p',
'e',
't',
'q',
'T',
'P',
'H'
}

Definition at line 78 of file field2gmsh_pos.cc.

## gmsh_table

gmsh_element_t gmsh_table[]

Definition at line 37 of file msh2geo_defs.icc.

## gmshtype_max

const size_t gmshtype_max = sizeof(gmsh_table)/sizeof(gmsh_element_t)

Definition at line 115 of file msh2geo_defs.icc.

## t_msh_inod2loc_inod

vector<size_t> t_msh_inod2loc_inod

static

Definition at line 120 of file msh2geo_node_renum.icc.

## q_msh_inod2loc_inod

vector<size_t> q_msh_inod2loc_inod

static

Definition at line 191 of file msh2geo_node_renum.icc.

## T_msh_inod2loc_inod

vector<size_t> T_msh_inod2loc_inod

static

Definition at line 268 of file msh2geo_node_renum.icc.

The documentation for this class was generated from the following files:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/rheolef.h
- /build/rheolef-L67pNR/rheolef-7.2/config/Float.h
- /build/rheolef-L67pNR/rheolef-7.2/util/lib/heap_allocator.h
- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/solver.h
- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/solver_abtb.h
- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/solver_option.h
- /build/rheolef-L67pNR/rheolef-7.2/fem/geo_element/integrate_option.h
- /build/rheolef-L67pNR/rheolef-7.2/fem/geo_element/point.h
- /build/rheolef-L67pNR/rheolef-7.2/fem/geo_element/tensor.h
- /build/rheolef-L67pNR/rheolef-7.2/fem/geo_element/tensor3.h
- /build/rheolef-L67pNR/rheolef-7.2/fem/geo_element/tensor4.h
- /build/rheolef-L67pNR/rheolef-7.2/fem/lib/ad3.h
- /build/rheolef-L67pNR/rheolef-7.2/fem/lib/basis.h
- /build/rheolef-L67pNR/rheolef-7.2/fem/lib/basis_get.cc
- /build/rheolef-L67pNR/rheolef-7.2/fem/lib/basis_raw.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/adapt.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/band.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/branch.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/characteristic.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/continuation_option.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/domain_indirect.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/field.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/field_expr_recursive.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/form.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/geo.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/geo_domain_indirect.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/geo_partition_scotch.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/level_set.cc
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/level_set.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/limiter.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/problem.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/problem_mixed.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/space.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/space_constitution_get.cc
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/space_constitution_get.icc
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/space_constitution_old_get.cc
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/test.h
- /build/rheolef-L67pNR/rheolef-7.2/main/sbin/field2gmsh_pos.cc
- /build/rheolef-L67pNR/rheolef-7.2/main/sbin/msh2geo.cc
- /build/rheolef-L67pNR/rheolef-7.2/util/lib/iorheo.cc
- /build/rheolef-L67pNR/rheolef-7.2/util/lib/persistent_table.h
- /build/rheolef-L67pNR/rheolef-7.2/util/lib/rheostream.cc
- /build/rheolef-L67pNR/rheolef-7.2/util/lib/rheostream.h
- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/asr.cc
- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/diststream.cc
- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/diststream.h
- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/vec_expr_v2.h
- /build/rheolef-L67pNR/rheolef-7.2/fem/geo_element/quadrature_rep.cc
- /build/rheolef-L67pNR/rheolef-7.2/fem/geo_element/reference_element.cc
- /build/rheolef-L67pNR/rheolef-7.2/fem/geo_element/reference_element_aux.icc
- /build/rheolef-L67pNR/rheolef-7.2/fem/geo_element/tiny_matvec.h
- /build/rheolef-L67pNR/rheolef-7.2/fem/lib/basis_fem_empty.cc
- /build/rheolef-L67pNR/rheolef-7.2/fem/lib/basis_option.cc
- /build/rheolef-L67pNR/rheolef-7.2/fem/lib/piola_fem.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/band.cc
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/field_expr.h
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/geo.cc
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/geo_header.cc
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/iofem.cc
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/space.cc
- /build/rheolef-L67pNR/rheolef-7.2/main/lib/space_seq.cc
- /build/rheolef-L67pNR/rheolef-7.2/main/sbin/msh2geo_defs.icc
- /build/rheolef-L67pNR/rheolef-7.2/main/sbin/msh2geo_node_renum.icc